$(document).ready(function () {
  let loginErrorOccurred = $('#loginError');
  let loginEmailError = $('#loginEmailError');
  let loginPinError = $('#loginPinErr');
  
  let base_url = 'https://crustsolutionsgh.com:8208';
  let anErrorOccurredString = 'An error occurred. Please try again.';

  loginErrorOccurred.hide();
  
  // login form handling
  $('#form-login').on('submit', function (e) {
    e.preventDefault();

    let loginEmail = $('#login_email').val();
    let loginPin = $('#login_pin').val();

    if (validateLoginForm(loginEmail, loginPin)) {
      sendLoginFormData(loginEmail, loginPin);
    } else {
    }
  });

  // validate login form
  function validateLoginForm(login_email, login_pin) {
    loginEmailError.hide();
    loginPinError.hide();
    loginErrorOccurred.hide();

    if (login_email === '') {
      loginEmailError.empty();
      loginEmailError.append('Email is required.');
      loginEmailError.show();
      return false;
    }

    if (login_email.indexOf('@', 0) < 0) {
      loginEmailError.empty();
      loginEmailError.append('Email is not valid.');
      loginEmailError.show();
      return false;
    }

    if (login_email.indexOf('.', 0) < 0) {
      loginEmailError.empty();
      loginEmailError.append('Email is not valid.');
      loginEmailError.show();
      return false;
    }

    if (login_pin === '') {
      loginPinError.empty();
      loginPinError.append('Pin is required.');
      loginPinError.show();
      return false;
    }

    return true;
  }

  // send login form data
  function sendLoginFormData(login_email, login_pin) {
    $(".loader_div").show();
    let data = {
      email: login_email,
      pin: login_pin,
    };
    let loginUrl = base_url + '/userLogin';

    $.ajax({
      dataType: 'json',
      type: 'POST',
      url: loginUrl,
      data: JSON.stringify(data),
      secure: true,
      success: function (response) {

        logData(response);
        $(".loader_div").hide();
        if (response.status) {
          if (response.status === '0') {
            sessionStorage.setItem('email', login_email);
            window.location.href = 'subscription.html';
          } else {
            displayLoginErrorOccurred('Invalid credentials.');
          }
        } else {
          displayLoginErrorOccurred(anErrorOccurredString);
        }
      },
      error: function (err) {
        logData(err);
        $(".loader_div").hide();
        displayLoginErrorOccurred(anErrorOccurredString);
      },
    });
  }

  // display error occurred alert for login
  function displayLoginErrorOccurred(msg) {
    loginErrorOccurred.empty();
    loginErrorOccurred.append(msg);
    loginErrorOccurred.show();
  }

  function logData(data) {
    // console.log(data);
  }

});
